Skip to main content
GET
/
evaluations
/
session-scores
List Session Scores
curl --request GET \
  --url https://api.pandaprobe.com/evaluations/session-scores \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_id": "<string>",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "data_type": "<string>",
      "value": "<string>",
      "source": "<string>",
      "status": "<string>",
      "eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "author_user_id": "<string>",
      "reason": "<string>",
      "metadata": {},
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

session_id
string | null

Filter by session ID

name
string | null

Filter by metric name

source
enum<string> | null

Who produced the score judgment (not how it arrived).

AUTOMATED -- the eval system's LLM judge produced this score ANNOTATION -- a human assigned this score manually PROGRAMMATIC -- external code submitted this score via API/SDK

Available options:
AUTOMATED,
ANNOTATION,
PROGRAMMATIC
status
enum<string> | null

Outcome of a trace score evaluation attempt.

Available options:
SUCCESS,
FAILED,
PENDING
eval_run_id
string<uuid> | null
date_from
string<date-time> | null
date_to
string<date-time> | null
limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
SessionScoreResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required